function initIndexIllustrations(){
    var anim_dur = 50;

    var dividers = $('.main_rules_steps .divider');
    var step1 = $('.main_rules_steps .step1');
    step1.img = $('.main_rules_steps .step1 .img');
    step1.img_h = 10962;
    step1.img_tile_h = 203;
    step1.img_steps = parseInt( step1.img_h / step1.img_tile_h );
    step1.cur_img_step = 0;

    var step2 = $('.main_rules_steps .step2');
    step2.img = $('.main_rules_steps .step2 .img');
    step2.img_h = 10353;
    step2.img_tile_h = 203;
    step2.img_steps = parseInt( step2.img_h / step2.img_tile_h );
    step2.cur_img_step = 0;

    var step3 = $('.main_rules_steps .step3');
    step3.img = $('.main_rules_steps .step3 .img');
    step3.img_h = 10759;
    step3.img_tile_h = 203;
    step3.img_steps = parseInt( step3.img_h / step3.img_tile_h );
    step3.cur_img_step = 0;


    $('.main_rules_steps').waypoint(function(direction) {
        animateIndexIcons(step1, step2, step3, dividers, anim_dur);
        $(this).waypoint('destroy');
    }, {
        offset: function() {
            return $(window).height() - $(this).height() / 2;
        }
    });
}

function animateIndexIcons(step1, step2, step3, dividers, anim_dur){
    step1.removeClass('act');
    step1.cur_img_step = 0;
    clearInterval(step1.timer);
    step2.removeClass('act');
    step2.cur_img_step = 0;
    clearInterval(step2.timer);
    step3.removeClass('act');
    step3.cur_img_step = 0;
    clearInterval(step3.timer);

    var step1AnimateFunction = function(){
        if( step1.cur_img_step >= step1.img_steps ){
            clearInterval(step1.timer);
            step1.removeClass('is_animating');
            return;
        }

        step1.img.css({backgroundPosition: 'center -'+ step1.cur_img_step * step1.img_tile_h+'px'});
        step1.cur_img_step++;
    };

    step1.addClass('act is_animating');
    step1.img.css({backgroundPosition:'center 0'});
    step1.timer = setInterval(step1AnimateFunction,anim_dur);

    step1.bind('mouseenter',function(){
        var el = $(this);
        if( !el.hasClass('is_animating') ){
            step1.addClass('is_animating');
            step1.img.css({backgroundPosition:'center 0'});
            step1.cur_img_step = 0;
            step1.timer = setInterval(step1AnimateFunction,anim_dur);
        }
    });


    var step2AnimateFunction = function(){
        if( step2.cur_img_step >= step2.img_steps ){
            clearInterval(step2.timer);
            step2.removeClass('is_animating');
            return;
        }

        step2.img.css({backgroundPosition: 'center -'+ step2.cur_img_step * step2.img_tile_h+'px'});
        step2.cur_img_step++;
    };

    setTimeout(function(){
        dividers.eq(0).addClass('act');
        step2.addClass('act is_animating');
        step2.img.css({backgroundPosition:'center 0'});
        step2.timer = setInterval(step2AnimateFunction,anim_dur);
    },700);

    step2.bind('mouseenter',function(){
        var el = $(this);
        if( !el.hasClass('is_animating') ){
            step2.addClass('is_animating');
            step2.img.css({backgroundPosition:'center 0'});
            step2.cur_img_step = 0;
            step2.timer = setInterval(step2AnimateFunction,anim_dur);
        }
    });


    var step3AnimateFunction = function(){
        if( step3.cur_img_step >= step3.img_steps ){
            clearInterval(step3.timer);
            step3.removeClass('is_animating');
            return;
        }

        step3.img.css({backgroundPosition: 'center -'+ step3.cur_img_step * step3.img_tile_h+'px'});
        step3.cur_img_step++;
    };

    setTimeout(function(){
        dividers.eq(1).addClass('act');
        step3.addClass('act is_animating');
        step3.img.css({backgroundPosition:'center 0'});
        step3.timer = setInterval(step3AnimateFunction,anim_dur);
    },1100);

    step3.bind('mouseenter',function(){
        var el = $(this);
        if( !el.hasClass('is_animating') ){
            step3.addClass('is_animating');
            step3.img.css({backgroundPosition:'center 0'});
            step3.cur_img_step = 0;
            step3.timer = setInterval(step3AnimateFunction,anim_dur);
        }
    });
}

function initMainMemSlider(holder){
    var act_mem = 0;
    var mem_items = $('.main_mems .mem_item');
    var arr_l_s = $('.main_mems .arrow.left.single');
    arr_l_s.hide().removeClass('none');
    var arr_l_m = $('.main_mems .arrow.left.multiple');
    var arr_r_s = $('.main_mems .arrow.right.single');
    arr_r_s.hide().removeClass('none');
    var arr_r_m = $('.main_mems .arrow.right.multiple');

    arr_l_m.click(function(e){e.preventDefault()});
    arr_r_m.click(function(e){e.preventDefault()});
    arr_l_s.click(function(e){e.preventDefault()});
    arr_r_s.click(function(e){e.preventDefault()});

    var big_holder = $('.big-mems-items');
    big_holder.hide();
    var mem_items_big = [];
    var timer = null;

    mem_items.each(function(i, el){
        el = $(el);
        var _nth_child = i % 4;

        // duplicate mem items
        big_holder.append(el.clone().append('<i class="circle_icon cross"></i>'));
        el.addClass('nth_child'+(_nth_child+1));

        el.click(function(){
            var that        = this;
            var _memsHeight = $('.main_mems .content').outerHeight();
            var _wHeight    = $(window).height();
            var _scrollTo   = $('.main_mems').offset().top - (( _wHeight < _memsHeight )? 0 : (_wHeight-_memsHeight)/2 )
            $('html,body').stop().animate({scrollTop: _scrollTo},400,function(){
                act_mem = mem_items.index(that);
                $(that).addClass('act');
                mem_items_big.css({left:'100%'}).eq(act_mem).css({left:0});

                timer = setTimeout(function(){
                    clearTimeout(timer);
                    timer = null;
                    arr_l_s.show();
                    arr_r_s.show();
                    arr_l_m.hide();
                    arr_r_m.hide();
                    big_holder.show();
                },310);
            });
        });
    });
    mem_items_big = big_holder.find('.mem_item');
    mem_items_big.click(function(){
        var _index = mem_items_big.index(this);
        mem_items.eq(act_mem).removeClass('act');

        big_holder.hide();
        arr_l_s.hide();
        arr_r_s.hide();
        arr_l_m.show();
        arr_r_m.show();
    });

    // SMALL items sliders
    var act_box = parseInt(act_mem/4);
    var mem_box = $('.main_mems .mem_box');
    mem_box.css({left:'100%'}).hide().removeClass('none').show().eq(act_box).css({left:0});
    var slideMEvent = function(){
        removeSlideMEvent();

        var el = $(this);
        var left = -1;
        var next_box = act_box;

        if( el.hasClass('left') ){
            left*=-1;
            next_box = (act_box-1 < 0)? mem_box.length-1 : act_box-1;
        } else {
            next_box = (act_box+1 > mem_box.length-1)? 0 : act_box+1;
        }

        mem_box.eq(act_box).animate({left: left*100+'%'},duration);
        act_box = next_box;
        mem_box.eq(act_box).css({left:-left*100+'%'}).animate({left: '0%'},duration,addSlideMEvent);
    };

    var addSlideMEvent = function(){
        arr_l_m.bind('click',slideMEvent);
        arr_r_m.bind('click',slideMEvent);
    };
    var removeSlideMEvent = function(){
        arr_l_m.unbind('click',slideMEvent);
        arr_r_m.unbind('click',slideMEvent);
    };

    addSlideMEvent();


    // BIG items sliders
    var slideSEvent = function(){
        removeSlideSEvent();
        var left = -1;
        var next_mem = act_mem;

        if( $(this).hasClass('left') ){
            left*=-1;
            next_mem = (act_mem-1 < 0)? mem_items.length-1 : act_mem-1;
        } else {
            next_mem = (act_mem+1 > mem_items.length-1)? 0 : act_mem+1;
        }

        var next_box = parseInt(next_mem/4);

        mem_items.eq(act_mem).removeClass('act');
        mem_items_big.eq(act_mem).animate({left:left*100+'%'},duration);
        act_mem = next_mem;
        mem_items_big.eq(act_mem).css({left:-left*100+'%'}).animate({left:'0%'},duration,addSlideSEvent);
        mem_items.eq(act_mem).addClass('act');

        if( next_box != act_box ){
            mem_box.eq(act_box).css({left: left*100+'%'});
            act_box = next_box;
            mem_box.eq(act_box).css({left: '0%'});
        }
    };

    var addSlideSEvent = function(){
        arr_l_s.bind('click',slideSEvent);
        arr_r_s.bind('click',slideSEvent);
    };
    var removeSlideSEvent = function(){
        arr_l_s.unbind('click',slideSEvent);
        arr_r_s.unbind('click',slideSEvent);
    };

    addSlideSEvent();


}

function initIntroVideos(){
    var act_video = 0;
    var slide = $('.videos .slide');
    var dots = $('.video_dots i');
    dots.removeClass('act').eq(act_video).addClass('act');

    var onVideoEnd = function(){
//        console.log("video ended");

        slide.eq(act_video).removeClass('act');
        dots.eq(act_video).removeClass('act');
        act_video = (act_video+1 > slide.length-1)? 0: act_video+1;
        dots.eq(act_video).addClass('act');
        slide.eq(act_video).addClass('act');
        slide[act_video].video.currentTime = 0;
        slide[act_video].video.play();
    };

    var onCanPlay = function(){
//        console.log(' onCanPlay ');
        this.play();
    };

    slide.each(function(i, el){
        el.video = $(el).find('video')[0];
        el.video.addEventListener('ended', onVideoEnd, false);
    });

    slide[0].video.addEventListener('canplay', onCanPlay, false);

}

$(document).ready(function() {

    initIndexIllustrations();

    // mems slider
    if( $('.main_mems').length ){

        initMainMemSlider($('.main_mems'));

    }

    initIntroVideos();


});