function secondsToHms_OLD(d) {
    d = Number(d);
    var h = Math.floor(d / 3600);
    var m = Math.floor(d % 3600 / 60);
    var s = Math.floor(d % 3600 % 60);

    return (
        (h > 0 ? (h < 10 ? '0' : '') + h + ":" : "00:")
            + (m > 0 ? (m < 10 ? "0" : "") + m + ":" : "00:")
            + (s < 10 ? "0" : "") + s
        );
}

function secondsToHms(d) {
    d = Number(d);
    var h = Math.floor(d / 3600);
    var m = Math.floor(d % 3600 / 60);
    var s = Math.floor(d % 3600 % 60);

    m = (m < 10 ? '0' : '') + m;
    s = (s < 10 ? '0' : '') + s;

    if( h == 0 ){
        return [ m, s ];
    }

    h = (h < 10 ? '0' : '') + h;
    return [ h, m, s ];
}

var setTimerToProducts = function(){
    var time_elements = $('[data-second]');

    var timerIntervalFunction = function(){
        var this_time = new Date();
        var this_time_insec = Date.parse(this_time)/1000;
        time_elements.each(function(i, el){
            var element = $(el);
            if( !element.hasClass('ended') ){

                var _sec = parseInt(element.data('second'));
                if( _sec <= this_time_insec ){
                    element.addClass('ended').html('00:00:00');
                } else {
                    element.html('<span>'+secondsToHms(_sec-this_time_insec).join('</span>:<span>')+'</span>');
                }
            }
        });
    };

    var timer = setInterval(timerIntervalFunction,1000);
    timerIntervalFunction();
};

$(document).ready(function() {
    setTimerToProducts();
});

